var bl_33 = function () {
    var bl_3 = arguments[0];
    if (typeof bl_3 === "string") {
        cbb_105 = [];
        var bl_1 = cbb_105;
        while (true) {
            while (true) {
                if (!(bl_2 < bl_3["length"])) {
                    var bl_2 = 0;
                    var bl_0 = 0;
                    while (true) {
                        if (!(bl_0 < bl_1["length"])) {
                            var bl_2 = lb_2;
                            return lb_2 !== null;
                        }
                        var bl_2 = 0 | (bl_2 << 5) - bl_2 + bl_1[bl_0];
                        var bl_0 = Number(bl_0) + 1;
                    }
                }
                if (!(1 === bl_3["length"] - bl_2)) {
                    break;
                }
                cbb_106 = Object["call"]["bind"](Object["bind"], Object["call"])(Object["apply"])(bl_3["charCodeAt"], bl_3, [bl_2]);
                cbb_107 = Object["call"]["bind"](Object["bind"], Object["call"])(Object["apply"])(bl_1["push"], bl_1, [cbb_106 << 16]);
                var bl_2 = bl_2 + 2;
            }
            cbb_108 = Object["call"]["bind"](Object["bind"], Object["call"])(Object["apply"])(bl_3["charCodeAt"], bl_3, [bl_2]);
            cbb_109 = Object["call"]["bind"](Object["bind"], Object["call"])(Object["apply"])(bl_3["charCodeAt"], bl_3, [bl_2 + 1]);
            cbb_110 = Object["call"]["bind"](Object["bind"], Object["call"])(Object["apply"])(bl_1["push"], bl_1, [cbb_108 << 16 | cbb_109]);
            var bl_2 = bl_2 + 2;
        }
    }
    cbb_111 = Object["call"]["bind"](Object["bind"], Object["call"])(Object["apply"])(ArrayBuffer["isView"], ArrayBuffer, [bl_3]);
    var bl_2 = bl_3["byteLength"] % 4;
    var bl_1 = new Int32Array(bl_3["buffer"]);
    var bl_2 = 0;
    var bl_0 = 0;
    while (true) {
        if (!(bl_0 < bl_1["length"])) {
            // var bl_2 = lb_2;
            return bl_2;
        }
        bl_2 = 0 | (bl_2 << 5) - bl_2 + bl_1[bl_0];
        var bl_0 = Number(bl_0) + 1;
    }
};

let data = new Uint8Array(90000);
for (let i = 0; i < data.length; i++) {
    data[i] = 11
}
console.log(bl_33(data))